summaryrefslogtreecommitdiffstats
path: root/source/l/libtiff
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libtiff')
-rw-r--r--source/l/libtiff/libtiff-make-check.patch26
-rwxr-xr-xsource/l/libtiff/libtiff.SlackBuild29
-rw-r--r--source/l/libtiff/slack-desc10
3 files changed, 26 insertions, 39 deletions
diff --git a/source/l/libtiff/libtiff-make-check.patch b/source/l/libtiff/libtiff-make-check.patch
deleted file mode 100644
index 46796d421..000000000
--- a/source/l/libtiff/libtiff-make-check.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-diff --git a/html/man/Makefile.am b/html/man/Makefile.am
-index ca222de..c7421ac 100644
---- a/html/man/Makefile.am
-+++ b/html/man/Makefile.am
-@@ -85,7 +85,6 @@ docfiles = \
- ras2tiff.1.html \
- raw2tiff.1.html \
- rgb2ycbcr.1.html \
-- sgi2tiff.1.html \
- thumbnail.1.html \
- tiff2bw.1.html \
- tiff2pdf.1.html \
-@@ -96,12 +95,10 @@ docfiles = \
- tiffcrop.1.html \
- tiffdither.1.html \
- tiffdump.1.html \
-- tiffgt.1.html \
- tiffinfo.1.html \
- tiffmedian.1.html \
- tiffset.1.html \
-- tiffsplit.1.html \
-- tiffsv.1.html
-+ tiffsplit.1.html
-
- dist_doc_DATA = $(indexfile) $(docfiles)
-
diff --git a/source/l/libtiff/libtiff.SlackBuild b/source/l/libtiff/libtiff.SlackBuild
index 99f8eb324..3bdac49ed 100755
--- a/source/l/libtiff/libtiff.SlackBuild
+++ b/source/l/libtiff/libtiff.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libtiff
VERSION=${VERSION:-$(echo tiff-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=1
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -33,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i386" ]; then
@@ -52,7 +63,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-libtiff
@@ -61,10 +71,9 @@ mkdir -p $PKG
cd $TMP
rm -rf tiff-$VERSION
tar xvf $CWD/tiff-$VERSION.tar.?z* || exit 1
-cd tiff-$VERSION
+cd tiff-$VERSION || exit 1
-zcat $CWD/libtiff-am-version.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/libtiff-make-check.patch.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/libtiff-am-version.patch.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
@@ -81,10 +90,14 @@ CFLAGS="$SLKCFLAGS" \
--disable-static \
--program-prefix="" \
--program-suffix="" \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
( cd man ; make install-man DESTDIR=$PKG || exit 1 ) || exit 1
rm -r $PKG/usr/share
( cd $PKG
diff --git a/source/l/libtiff/slack-desc b/source/l/libtiff/slack-desc
index 42c79f47d..523cb11a5 100644
--- a/source/l/libtiff/slack-desc
+++ b/source/l/libtiff/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
libtiff: libtiff (a library for reading and writing TIFF files)
libtiff:
libtiff: This package provides support for the Tag Image File Format (TIFF),
-libtiff: a widely used format for storing image data. Included is the libtiff
+libtiff: a widely used format for storing image data. Included is the libtiff
libtiff: library (for reading and writing TIFF files), and a collection of
libtiff: tools for working with TIFF images.
libtiff:
-libtiff:
+libtiff: Homepage: http://www.simplesystems.org/libtiff
libtiff:
libtiff:
libtiff: